Page MenuHomePhabricator

EditorTutorial false arrow position
Closed, ResolvedPublic

Description

It seems, that editor tutorial's arrow (which should be under the edit pencil) is rendered before all page actions are enabled, which results in a false position of it (see image).

Event Timeline

Florian created this task.Feb 27 2015, 6:59 AM
Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added a project: Readers-Web-Backlog.
Florian added a subscriber: Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 6:59 AM
bmansurov claimed this task.Mar 5 2015, 6:22 PM
bmansurov set Security to None.

Change 194574 had a related patch set uploaded (by Bmansurov):
Correct the arrow position of the editor tutorial

https://gerrit.wikimedia.org/r/194574


That's how it looks on pages with bannerImages :/ They normally get loaded after the page is rendered and most of Javascripts are eecuted. This should be fixed, too.

Good catch, then we should listen to the editor icon location changes. Simply listening to window.resize won't do it.

Florian closed this task as Resolved.Mar 6 2015, 6:42 AM

Change 194574 merged by jenkins-bot:
Correct the arrow position of the editor tutorial

https://gerrit.wikimedia.org/r/194574

Jdlrobson reopened this task as Open.EditedMar 19 2015, 8:11 PM
Jdlrobson added a subscriber: Jdlrobson.

This is not fixed at all.

stable

beta

alpha

I've reverted the patch. Stable is okay now, but beta and alpha have positioning problems @rmoen should hopefully be able to fix this.

So @rmoen and I chatted about this. The issue is BannerImage causes the window to resize as the image pushes the rest of the content down.
Both BannerImage and the PageActionOverlay subscribe to the resize event, but the BannerImage event runs before the PageActionOverlay resize event so the latter never positions correctly.

Baha's patch solved the above by simply refreshing every second.
I wonder if we could do the above but turn off the timeout when the top is the same as last time.

Also the _position function doesn't seem quite right in beta and alpha and probably needs revisted.

Jdlrobson added a subscriber: bmansurov.

Change 199155 had a related patch set uploaded (by Jdlrobson):
Make page action overlay pointer position correctly.

https://gerrit.wikimedia.org/r/199155

Change 199155 merged by jenkins-bot:
Make page action overlay pointer position correctly.

https://gerrit.wikimedia.org/r/199155

Jdlrobson removed Jdlrobson as the assignee of this task.Mar 25 2015, 6:30 PM

Mmm.. the positioning seems to have no method to its madness. Here are some tests I just ran...

For watchstar:
beta: push left by 18px
alpha: pushed up by 60px, push left by 18px

For edit guider (must be logged in)
Stable: needs to be pushed left -204px http://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Albert_Einstein&mobileaction=stable&article_action=signup-edit&welcome=yes
Beta: needs to be pushed left by -52px [http://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Albert_Einstein&mobileaction=beta&article_action=signup-edit&welcome=yes]
Alpha: pushed up by 40px, pushed right by 8px [http://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Albert_Einstein&mobileaction=alpha&article_action=signup-edit&welcome=yes]

rmoen moved this task from Ready for dev to In development on the Gather Sprint Diplodocus board.

Change 199795 had a related patch set uploaded (by Robmoen):
In beta, watchstar loads late and is edit tut is positioned incorrectly

https://gerrit.wikimedia.org/r/199795

Also related patch https://gerrit.wikimedia.org/r/#/c/199747/ for centering the arrow on the element.

@rmoen turns out my issue was chrome specific when the star is green.. see... https://phabricator.wikimedia.org/T93987

This works but please see my follow up for other edge cases.

Change 199812 had a related patch set uploaded (by Jdlrobson):
Fixes to the page action tutorial

https://gerrit.wikimedia.org/r/199812

Seems to work much better than before. Moving to signoff

Change 199812 merged by jenkins-bot:
Fixes to the page action tutorial

https://gerrit.wikimedia.org/r/199812

Change 199795 abandoned by Robmoen:
In beta, watchstar loads late and is edit tut is positioned incorrectly

https://gerrit.wikimedia.org/r/199795

Jdlrobson closed this task as Resolved.Mar 26 2015, 10:32 PM